| dfemix Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfeMix_Status Struct Reference
Overview

Event status and interrupt mask. More...

## Data Fields
u32 | DUCDDCOverflow
| [0,1] Mask overflow in DUC/DDC More...
u32 | MixerOverflow
| [0,1] Mask overflow in mixer More...
u32 | CCUpdate
| [0,1] Mask CC update interrupt More...
u32 | LowPower
| [0,1] Mask low power interrupt More...
u32 | Switchable
| [0,1] Mask switchable interrupt More...
u32 | CCSequenceError
| [0,1] Mask sequence error More...
u32 | CCUpdateError
| [0,1] Mask CC update error More...
u32 | LowPowerError
| [0,1] Mask low power error More...
u32 | SwitchableError
| [0,1] Mask switchable error More...

## Detailed Description

Event status and interrupt mask.

Note
  The structure for XDfeMix_InterruptMask is the same as that of XDfeMix_Status

## Field Documentation

u32 XDfeMix_Status::CCSequenceError

[0,1] Mask sequence error

Referenced by XDfeMix_AddCCExample(), XDfeMix_ClearEventStatus(), XDfeMix_GetEventStatus(), XDfeMix_GetInterruptMask(), XDfeMix_MultiAddCCExample(), and XDfeMix_SetInterruptMask().

u32 XDfeMix_Status::CCUpdate

[0,1] Mask CC update interrupt

Referenced by XDfeMix_AddCCExample(), XDfeMix_ClearEventStatus(), XDfeMix_GetEventStatus(), XDfeMix_GetInterruptMask(), XDfeMix_MultiAddCCExample(), and XDfeMix_SetInterruptMask().

u32 XDfeMix_Status::CCUpdateError

[0,1] Mask CC update error

Referenced by XDfeMix_ClearEventStatus(), XDfeMix_GetEventStatus(), XDfeMix_GetInterruptMask(), and XDfeMix_SetInterruptMask().

u32 XDfeMix_Status::DUCDDCOverflow

[0,1] Mask overflow in DUC/DDC

Referenced by XDfeMix_AddCCExample(), XDfeMix_ClearEventStatus(), XDfeMix_GetEventStatus(), XDfeMix_GetInterruptMask(), XDfeMix_MultiAddCCExample(), and XDfeMix_SetInterruptMask().

u32 XDfeMix_Status::LowPower

[0,1] Mask low power interrupt

Referenced by XDfeMix_ClearEventStatus(), XDfeMix_GetEventStatus(), XDfeMix_GetInterruptMask(), and XDfeMix_SetInterruptMask().

u32 XDfeMix_Status::LowPowerError

[0,1] Mask low power error

Referenced by XDfeMix_ClearEventStatus(), XDfeMix_GetEventStatus(), XDfeMix_GetInterruptMask(), and XDfeMix_SetInterruptMask().

u32 XDfeMix_Status::MixerOverflow

[0,1] Mask overflow in mixer

Referenced by XDfeMix_AddCCExample(), XDfeMix_ClearEventStatus(), XDfeMix_GetEventStatus(), XDfeMix_GetInterruptMask(), XDfeMix_MultiAddCCExample(), and XDfeMix_SetInterruptMask().

u32 XDfeMix_Status::Switchable

[0,1] Mask switchable interrupt

Referenced by XDfeMix_ClearEventStatus(), XDfeMix_GetEventStatus(), XDfeMix_GetInterruptMask(), and XDfeMix_SetInterruptMask().

u32 XDfeMix_Status::SwitchableError

[0,1] Mask switchable error

Referenced by XDfeMix_ClearEventStatus(), XDfeMix_GetEventStatus(), XDfeMix_GetInterruptMask(), and XDfeMix_SetInterruptMask().